<?php

include_once('../../../wp-load.php');
//include_once('../../../wp-config.php');
include_once('../../../wp-includes/wp-db.php');


if(file_exists("./extenders.php")) {
	include_once("./extenders.php");
} else {
	function socpoll_ext_scripts($function_call) {
		return '';
	}
	function socpoll_ext_styles() {
		return '';
	}
	function socpoll_ext_buttons($repost_link, $repost_text) {
		return '';
	}
}

$site_id = intval($_GET['site']);
$post_id = intval($_GET['post']);
$poll_id = intval($_GET['poll']);
$variant_id = intval($_GET['variant']);

$vfid = $post_id.'-'.$poll_id.'-'.$variant_id;

$repost_link = get_option('socpoll_vk_repost_link', get_site_url());
$repost_text = get_option('socpoll_vk_repost_text',  wp_title('|', false));
$repost_image = get_option('socpoll_vk_repost_image_link', '');
$repost_descr = get_option('socpoll_vk_repost_page_descr', wp_title('|', false));

$repost_link = str_replace('"', '', $repost_link);
$repost_text = str_replace('"', '', $repost_text);
$repost_image = str_replace('"', '', $repost_image);
$repost_descr = str_replace('"', '', $repost_descr);

$table_name = $wpdb->prefix . "soc_poll_votes";
$res = $wpdb->get_row($wpdb->prepare("SELECT poll_title, variant_name FROM ".$table_name." WHERE post_id = %d AND poll_id = %d AND variant_id = %d",
											$post_id, $poll_id, $variant_id));
											
$repost_text = str_replace("%%TITLE%%", $res->poll_title, $repost_text);
$repost_text = str_replace("%%VAR%%", $res->variant_name, $repost_text);

$repost_descr = str_replace("%%TITLE%%", $res->poll_title, $repost_descr);
$repost_descr = str_replace("%%VAR%%", $res->variant_name, $repost_descr);

$page_id = sprintf("%u", crc32("socpoll_".$vfid));


$vk_add_options = 'text : "'.$repost_text.'", pageUrl : "'.$repost_link.'", pageImage : "'.$repost_image.'", pageDescription : "'.$repost_descr.'"';

//$salt = get_option('socpoll_secret_key', '0');
//$control = md5($salt.$link.$text);

/*
if(!isset($_GET['control']) || $control!=$_GET['control']) {
	echo "Security breach";
	exit;
}
*/



//$variant_name = strip_tags($_GET['variantname']);
?>
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<script type="text/javascript" src="http://userapi.com/js/api/openapi.js?49"></script>
		<script type="text/javascript">
		  VK.init({apiId: <?php echo $site_id; ?>, onlyWidgets: true});
		  VK.Observer.subscribe('widgets.like.liked', function(param) {
			  parent.WPSocialPollVote(<?php echo $post_id.','.$poll_id.','.$variant_id; ?>);
			});
			
			<?php echo socpoll_ext_scripts('parent.WPSocialPollVote('.$post_id.','.$poll_id.','.$variant_id.');'); ?>
			
		</script>
		
		<style type="text/css">
			#vk_like_container {
				position: fixed;
				left: 40px;
				top: 140px;
			}
			<?php echo socpoll_ext_styles(); ?>
		</style>
		
	</head>
	<body style="margin-left:40px; background:none transparent; font-family: Arial, sans-serif; ">


<p>Нажмите <!--"Мне нравится"-->одну из кнопок,
<br/>чтобы проголосовать
<br/>за этот вариант:</p>
<p>&nbsp;</p>
<div id="vk_like_container">
<div id="vk_like"></div>
</div>
<script type="text/javascript">
VK.Widgets.Like("vk_like", {type: "mini", <?php echo $vk_add_options; ?>}, <?php echo $page_id; ?>);
</script>

<?php echo socpoll_ext_buttons($repost_link, $repost_text); ?>

		
	</body>
</html>




  