<div class="wrap">
<h2>Настройки плагина социального голосования</h2>

<form method="post" action="options.php">
<?php settings_fields( 'simplesocialpoll-settings' ); ?>

<table class="form-table">

<tr valign="top">
<th scope="row">ID сайта ВКонтакте:</th>
<td><input type="text" name="vk_site_id" value="<?php echo get_option('vk_site_id'); ?>" /></td>
</tr>

<tr valign="top">
<th scope="rowgroup" colspan="2">Настройки виджетов "Мне нравится" по умолчанию:</th>
</tr>

<tr valign="top">
<th scope="row">Ссылка для перепоста:</th>
<td><input type="text" name="socpoll_vk_repost_link" value="<?php echo get_option('socpoll_vk_repost_link', get_site_url()); ?>" /></td>
</tr>

<tr valign="top">
<th scope="row">Текст на стене:</th>
<td><input type="text" name="socpoll_vk_repost_text" value="<?php echo get_option('socpoll_vk_repost_text', wp_title()); ?>" />
<br/>Можно использовать заменители: %%TITLE%% для названия опроса, %%VAR%% для названия выбранного варианта.
<br/>Например: Я проголосовал за %%VAR%% в опросе %%TITLE%%</td>
</tr>

<tr valign="top">
<th scope="row">Адрес картинки:</th>
<td><input type="text" name="socpoll_vk_repost_image_link" value="<?php echo get_option('socpoll_vk_repost_image_link'); ?>" /></td>
</tr>

<tr valign="top">
<th scope="row">Описание страницы:</th>
<td><input type="text" name="socpoll_vk_repost_page_descr" value="<?php echo get_option('socpoll_vk_repost_page_descr'); ?>" />
<br/>Можно использовать заменители: %%TITLE%% для названия опроса, %%VAR%% для названия выбранного варианта.
<br/>Например: Опрос %%TITLE%% - каков твой выбор?</td>
</tr>

</table>

<p class="submit">
<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
</p>

</form>

<h2>Как добавить голосование</h2>

<p>Чтобы добавить в пост голосование, используйте шорткод [socialpoll] и укажите по одному варианту в строке:</p>

<p>
<pre>
[socialpoll]
Вариант 1
Вариант 2
[/socialpoll]
</pre>
</p>

<p>Вариантов может быть сколько угодно - от одного и больше.</p>

<p>Можно добавить заголовок голосования:</p>

<p>
<pre>
[socialpoll title="Что лучше?"]
Вариант 1
Вариант 2
Вариант 3
[/socialpoll]
</pre>
</p>

<p>Если вы решите поменять варианты местами после того, как пользователи уже начали голосовать, то укажите старые порядковые 
номера вариантов (начиная с нуля) через вертикальную черту вот так:</p>

<p>
<pre>
[socialpoll title="Что лучше?"]
1|Вариант 2
2|Вариант 3
0|Вариант 1
[/socialpoll]
</pre>
</p>

</div>